The Opening Invoice Creation Tool object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

company string required
create_missing_party boolean

Default: false

invoice_type string required
cost_center string
project string
The Opening Invoice Creation Tool object
{
  "id": "opening-invoice-creation-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "create_missing_party": false,
  "invoice_type": "invoice_type_example",
  "cost_center": "cost_center_example",
  "project": "project_example"
}
GET /api/accounts/opening-invoice-creation-tool/{id}

Retrieve a opening invoice creation tool

Retrieves the details of an existing opening invoice creation tool. Supply the unique opening invoice creation tool ID that was returned from a previous request.

Path parameters

id string required

The identifier of the opening invoice creation tool to retrieve.

Returns

Returns the opening invoice creation tool object if a valid identifier was provided.

GET /api/accounts/opening-invoice-creation-tool/{id}
curl https://api.overplane.dev/api/accounts/opening-invoice-creation-tool/opening-invoice-creation-tool_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "opening-invoice-creation-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "create_missing_party": false,
  "invoice_type": "invoice_type_example",
  "cost_center": "cost_center_example",
  "project": "project_example"
}
GET /api/accounts/opening-invoice-creation-tool

List all opening invoice creation tools

Returns a list of opening invoice creation tools. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of opening invoice creation tool objects.

GET /api/accounts/opening-invoice-creation-tool
curl https://api.overplane.dev/api/accounts/opening-invoice-creation-tool \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "opening-invoice-creation-tool_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "company": "Example Corp",
      "create_missing_party": false,
      "invoice_type": "invoice_type_example",
      "cost_center": "cost_center_example",
      "project": "project_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/opening-invoice-creation-tool

Create a opening invoice creation tool

Creates a new opening invoice creation tool object.

Body parameters

company string required
create_missing_party boolean

Default: false

invoice_type string required
cost_center string
project string

Returns

Returns the newly created opening invoice creation tool object if the call succeeded.

POST /api/accounts/opening-invoice-creation-tool
curl https://api.overplane.dev/api/accounts/opening-invoice-creation-tool \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"company":"Example Corp","invoice_type":"invoice_type_example"}'
Response
{
  "id": "opening-invoice-creation-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "create_missing_party": false,
  "invoice_type": "invoice_type_example",
  "cost_center": "cost_center_example",
  "project": "project_example"
}
PATCH /api/accounts/opening-invoice-creation-tool/{id}

Update a opening invoice creation tool

Updates the specified opening invoice creation tool by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the opening invoice creation tool to update.

Body parameters

company string
create_missing_party boolean

Default: false

invoice_type string
cost_center string
project string

Returns

Returns the updated opening invoice creation tool object.

PATCH /api/accounts/opening-invoice-creation-tool/{id}
curl https://api.overplane.dev/api/accounts/opening-invoice-creation-tool/opening-invoice-creation-tool_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"company":"Example Corp","create_missing_party":false}'
Response
{
  "id": "opening-invoice-creation-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "create_missing_party": false,
  "invoice_type": "invoice_type_example",
  "cost_center": "cost_center_example",
  "project": "project_example"
}
DELETE /api/accounts/opening-invoice-creation-tool/{id}

Delete a opening invoice creation tool

Permanently deletes a opening invoice creation tool. This cannot be undone.

Path parameters

id string required

The identifier of the opening invoice creation tool to delete.

Returns

Returns a confirmation that the opening invoice creation tool has been deleted.

DELETE /api/accounts/opening-invoice-creation-tool/{id}
curl https://api.overplane.dev/api/accounts/opening-invoice-creation-tool/opening-invoice-creation-tool_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "opening-invoice-creation-tool_abc123",
  "deleted": true
}

Line items

Child objects that belong to this opening invoice creation tool. These are accessed via the parent's ID.

Opening Invoice Creation Tool Item

Attributes

idx integer
opening_invoice_creation_tool_id string required
party_type string
party string
temporary_opening_account string
posting_date string
due_date string
item_name string
outstanding_amount number
qty string
cost_center string
invoice_number string
supplier_invoice_date string
party_name string

Endpoints

GET /api/accounts/opening-invoice-creation-tool-item?parent_id={id}
POST /api/accounts/opening-invoice-creation-tool-item
PATCH /api/accounts/opening-invoice-creation-tool-item/{id}
DELETE /api/accounts/opening-invoice-creation-tool-item/{id}
POST /api/accounts/opening-invoice-creation-tool-item/reorder
Opening Invoice Creation Tool Item object
{
  "id": "opening-invoice-creation-tool-item_abc123",
  "idx": 1,
  "opening_invoice_creation_tool_id": "opening_invoice_creation_tool_id_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "temporary_opening_account": "temporary_opening_account_example",
  "posting_date": "2024-01-15",
  "due_date": "2024-01-15",
  "item_name": "Opening Invoice Item",
  "outstanding_amount": 0,
  "qty": "1",
  "cost_center": "cost_center_example",
  "invoice_number": "invoice_number_example",
  "supplier_invoice_date": "2024-01-15",
  "party_name": "party_name_example"
}